<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<!-- <title>00220_RSA</title> -->
<img align="right" width="300" src="TrustonicLogo.jpg">
</br>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="$relpath/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="$relpath/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.8.6 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('group_____r_s_a.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">00220_RSA<div class="ingroups"><a class="el" href="group___s_e_c_u_r_e___a_p_i___c_r_y_p_t_o___a_l_g_o_r_i_t_h_m_s.html">Secure_API_Crypto_Algorithms</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p><b>Involved Components and their required Functionality</b>  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga0d79e000f141486999f2bf8970508526"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____r_s_a.html#ga0d79e000f141486999f2bf8970508526">TestCase_GC00100_RsaEncryptPKCS1</a> ()</td></tr>
<tr class="separator:ga0d79e000f141486999f2bf8970508526"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9b0afc2fb5367b28ea2a5edbd66a0ae8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____r_s_a.html#ga9b0afc2fb5367b28ea2a5edbd66a0ae8">TestCase_GC00100_RsaDecryptPKCS1</a> ()</td></tr>
<tr class="separator:ga9b0afc2fb5367b28ea2a5edbd66a0ae8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaa313c89a51bfea56700ad5a8d864a4b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____r_s_a.html#gaaa313c89a51bfea56700ad5a8d864a4b">TestCase_GC00100_RsaEncryptISO14888</a> ()</td></tr>
<tr class="separator:gaaa313c89a51bfea56700ad5a8d864a4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga329726242b2e611a374fc6c48afb66b8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____r_s_a.html#ga329726242b2e611a374fc6c48afb66b8">TestCase_GC00100_RsaVerifyExp1PKCS1</a> ()</td></tr>
<tr class="separator:ga329726242b2e611a374fc6c48afb66b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaedab76a6d4cf1cb3c94d5bafb2da991e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____r_s_a.html#gaedab76a6d4cf1cb3c94d5bafb2da991e">TestCase_BC00100_RsaSignExp1PKCS1</a> ()</td></tr>
<tr class="separator:gaedab76a6d4cf1cb3c94d5bafb2da991e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga37e4234db816724baa4c7b072b711808"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____r_s_a.html#ga37e4234db816724baa4c7b072b711808">TestCase_GC00100_RsaVerifyExp3PKCS1</a> ()</td></tr>
<tr class="separator:ga37e4234db816724baa4c7b072b711808"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3d71bcf724628068bb262c70c92c7b42"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____r_s_a.html#ga3d71bcf724628068bb262c70c92c7b42">TestCase_GC00100_RsaSignExp3PKCS1</a> ()</td></tr>
<tr class="separator:ga3d71bcf724628068bb262c70c92c7b42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8c09945039331c44e116d802d73a63d7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____r_s_a.html#ga8c09945039331c44e116d802d73a63d7">TestCase_GC00100_RsaVerifyExp5PKCS1</a> ()</td></tr>
<tr class="separator:ga8c09945039331c44e116d802d73a63d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9ab1b3899038af293d807d5788b024c4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____r_s_a.html#ga9ab1b3899038af293d807d5788b024c4">TestCase_GC00100_RsaSignExp5PKCS1</a> ()</td></tr>
<tr class="separator:ga9ab1b3899038af293d807d5788b024c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2c011343ede287e5b1220affcfc9186b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____r_s_a.html#ga2c011343ede287e5b1220affcfc9186b">TestCase_GC00100_RsaVerifyExp17PKCS1</a> ()</td></tr>
<tr class="separator:ga2c011343ede287e5b1220affcfc9186b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7ea9887f0fd366f089535099d8bc1157"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____r_s_a.html#ga7ea9887f0fd366f089535099d8bc1157">TestCase_GC00100_RsaSignExp17PKCS1</a> ()</td></tr>
<tr class="separator:ga7ea9887f0fd366f089535099d8bc1157"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac9c10dadcbf2f698ed1bf222dfdd4f2c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____r_s_a.html#gac9c10dadcbf2f698ed1bf222dfdd4f2c">TestCase_GC00100_RsaVerifyExp257PKCS1</a> ()</td></tr>
<tr class="separator:gac9c10dadcbf2f698ed1bf222dfdd4f2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga960cbb931baa086e48a0f22dac882855"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____r_s_a.html#ga960cbb931baa086e48a0f22dac882855">TestCase_GC00100_RsaSignExp257PKCS1</a> ()</td></tr>
<tr class="separator:ga960cbb931baa086e48a0f22dac882855"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacc1921438754caa85c34f00eb9bfa9de"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____r_s_a.html#gacc1921438754caa85c34f00eb9bfa9de">TestCase_GC00100_RsaVerifyExp65537PKCS1</a> ()</td></tr>
<tr class="separator:gacc1921438754caa85c34f00eb9bfa9de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga52a93f92b0d7f4e9f9c7da1574d2ace6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____r_s_a.html#ga52a93f92b0d7f4e9f9c7da1574d2ace6">TestCase_GC00100_RsaSignExp65537PKCS1</a> ()</td></tr>
<tr class="separator:ga52a93f92b0d7f4e9f9c7da1574d2ace6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadd02d96e54a42d82fed71603e2d9ae98"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____r_s_a.html#gadd02d96e54a42d82fed71603e2d9ae98">TestCase_BC00100_RsaEncryptPKCS1WithEvenModulus</a> ()</td></tr>
<tr class="separator:gadd02d96e54a42d82fed71603e2d9ae98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9bdad2e4052ae5c7b40b475f771f9bad"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____r_s_a.html#ga9bdad2e4052ae5c7b40b475f771f9bad">TestCase_BC00101_RsaEncryptPKCS1WithSquareModulus</a> ()</td></tr>
<tr class="separator:ga9bdad2e4052ae5c7b40b475f771f9bad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4186a2f9f9e0e4b78e339845c5ba1ebb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____r_s_a.html#ga4186a2f9f9e0e4b78e339845c5ba1ebb">TestCase_BC00200_RsaEncryptPKCS1WithEvenExponent</a> ()</td></tr>
<tr class="separator:ga4186a2f9f9e0e4b78e339845c5ba1ebb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga846b09f01e6006e4342ad2fdf276f928"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____r_s_a.html#ga846b09f01e6006e4342ad2fdf276f928">TestCase_BC00300_RsaEncryptPKCS1WithShortKey</a> ()</td></tr>
<tr class="separator:ga846b09f01e6006e4342ad2fdf276f928"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga131a282869631922f1a9b7a5d5e2c59e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____r_s_a.html#ga131a282869631922f1a9b7a5d5e2c59e">TestCase_BC00301_RsaEncryptPKCS1WithTooShortKey</a> ()</td></tr>
<tr class="separator:ga131a282869631922f1a9b7a5d5e2c59e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga70815069cd0eaed1998183ad4f7a7aaa"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____r_s_a.html#ga70815069cd0eaed1998183ad4f7a7aaa">TestCase_BC00400_RsaEncryptPKCS1WithTooLongData</a> ()</td></tr>
<tr class="memdesc:ga70815069cd0eaed1998183ad4f7a7aaa"><td class="mdescLeft">&#160;</td><td class="mdescRight">defined(WIN32) || defined(INCLUDE_UNRECONCILED_TESTS)  <a href="#ga70815069cd0eaed1998183ad4f7a7aaa">More...</a><br/></td></tr>
<tr class="separator:ga70815069cd0eaed1998183ad4f7a7aaa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafc8e25cbd732503ebd1a098bd72bca10"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____r_s_a.html#gafc8e25cbd732503ebd1a098bd72bca10">TestCase_BC00500_RsaVerifyPKCS1WithInvalidPadding</a> ()</td></tr>
<tr class="separator:gafc8e25cbd732503ebd1a098bd72bca10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad30731801552457db9765cb3f72313fb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____r_s_a.html#gad30731801552457db9765cb3f72313fb">TestCase_BC00501_RsaDecryptPKCS1WithWrongPaddingType</a> ()</td></tr>
<tr class="separator:gad30731801552457db9765cb3f72313fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5e9a1f27763355d8b11042b90f45259a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____r_s_a.html#ga5e9a1f27763355d8b11042b90f45259a">TestCase_BC00502_RsaDecryptPKCS1WithInvalidPadding</a> ()</td></tr>
<tr class="separator:ga5e9a1f27763355d8b11042b90f45259a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga35d8d3834bded53444ad6bdb3967a9f2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____r_s_a.html#ga35d8d3834bded53444ad6bdb3967a9f2">TestCase_GC00100_Rsa_Multiple_GenerateKey_Sign_Verify_1024bit_Exp3</a> ())</td></tr>
<tr class="separator:ga35d8d3834bded53444ad6bdb3967a9f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga81beb6c46b2255bb2b48b250de654ab5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____r_s_a.html#ga81beb6c46b2255bb2b48b250de654ab5">TestCase_GC00100_Rsa_Crt_Multiple_GenerateKey_Sign_Verify_1024bit_Exp3</a> ())</td></tr>
<tr class="separator:ga81beb6c46b2255bb2b48b250de654ab5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p><b>Involved Components and their required Functionality</b> </p>
<ol type="1">
<li>ClientLib<ol type="a">
<li>Can connect to daemon</li>
<li>Can reserve memory for connection</li>
</ol>
</li>
<li>McDriverDaemon<ol type="a">
<li>Daemon running</li>
<li>Daemon socket accessible by TLC</li>
<li>mcOpenDevice()</li>
</ol>
</li>
<li>McDriverModule<ol type="a">
<li>Module loaded</li>
<li>Module socket accessible by daemon</li>
<li>Module listens for connection</li>
</ol>
</li>
<li>Trusted Application TlIntegrationTest<ol type="a">
<li>Trusted Application copied to Android on Test device in registry as 05010000000000000000000000000000.trst</li>
<li>Trusted Application runnable and bug-free </li>
</ol>
</li>
</ol>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga0d79e000f141486999f2bf8970508526"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00100_RsaEncryptPKCS1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>05010000000000000000000000000000 </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Encrypt RSA PKCS1 </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Encrypt RSA PKCS1 (2048 bit) Function returns E_TLAPI_CR_WRONG_OUPUT_SIZE.<br/>
 Destination length pointer is unchanged. Test output is OK.</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Secure_API_Crypto_Algorithms.00220_RSA.GC00100_RsaEncryptPKCS1 </dd></dl>

</div>
</div>
<a class="anchor" id="ga9b0afc2fb5367b28ea2a5edbd66a0ae8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00100_RsaDecryptPKCS1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Decrypt RSA PKCS1 </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Decrypt RSA PKCS1 (2048 bit) Function returns E_TLAPI_CR_WRONG_OUPUT_SIZE.<br/>
 Destination length pointer is unchanged. Test output is OK.</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Secure_API_Crypto_Algorithms.00220_RSA.GC00100_RsaDecryptPKCS1 </dd></dl>

</div>
</div>
<a class="anchor" id="gaaa313c89a51bfea56700ad5a8d864a4b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00100_RsaEncryptISO14888 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Encrypt RSA ISO14888 </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Encrypt RSA ISO14888 (1024 bit) Function returns E_TLAPI_CR_WRONG_OUPUT_SIZE.<br/>
 Destination length pointer is unchanged. Test output is OK.</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Secure_API_Crypto_Algorithms.00220_RSA.GC00100_RsaEncryptISO14888 </dd></dl>

</div>
</div>
<a class="anchor" id="ga329726242b2e611a374fc6c48afb66b8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00100_RsaVerifyExp1PKCS1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Verify RSA PKCS1 </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Verify RSA PKCS1 (1024 bit) by using RSA key with public exponent 1 Function returns E_TLAPI_CR_WRONG_OUPUT_SIZE.<br/>
 Destination length pointer is unchanged. Test output is OK.</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Secure_API_Crypto_Algorithms.00220_RSA.GC00100_RsaVerifyExp1PKCS1 </dd></dl>

</div>
</div>
<a class="anchor" id="gaedab76a6d4cf1cb3c94d5bafb2da991e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC00100_RsaSignExp1PKCS1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Sign RSA PKCS1 </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Sign RSA PKCS1 (1024 bit) by using RSA key with public exponent 1 Function returns E_TLAPI_CR_WRONG_OUPUT_SIZE.<br/>
 Destination length pointer is unchanged. Test output is OK.</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Secure_API_Crypto_Algorithms.00220_RSA.BC00100_RsaSignExp1PKCS1 </dd></dl>

</div>
</div>
<a class="anchor" id="ga37e4234db816724baa4c7b072b711808"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00100_RsaVerifyExp3PKCS1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Verify RSA PKCS1 </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Verify RSA PKCS1 (1024 bit) by using RSA key public key with exponent 3 Function returns E_TLAPI_CR_WRONG_OUPUT_SIZE.<br/>
 Destination length pointer is unchanged. Test output is OK.</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Secure_API_Crypto_Algorithms.00220_RSA.GC00100_RsaVerifyExp3PKCS1 </dd></dl>

</div>
</div>
<a class="anchor" id="ga3d71bcf724628068bb262c70c92c7b42"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00100_RsaSignExp3PKCS1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Sign RSA PKCS1 </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Sign RSA PKCS1 (1024 bit) by using RSA key with public exponent 3 Function returns E_TLAPI_CR_WRONG_OUPUT_SIZE.<br/>
 Destination length pointer is unchanged. Test output is OK.</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Secure_API_Crypto_Algorithms.00220_RSA.GC00100_RsaSignExp3PKCS1 </dd></dl>

</div>
</div>
<a class="anchor" id="ga8c09945039331c44e116d802d73a63d7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00100_RsaVerifyExp5PKCS1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Verify RSA PKCS1 </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Verify RSA PKCS1 (1024 bit) by using RSA key public key with exponent 5 Function returns E_TLAPI_CR_WRONG_OUPUT_SIZE.<br/>
 Destination length pointer is unchanged. Test output is OK.</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Secure_API_Crypto_Algorithms.00220_RSA.GC00100_RsaVerifyExp5PKCS1 </dd></dl>

</div>
</div>
<a class="anchor" id="ga9ab1b3899038af293d807d5788b024c4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00100_RsaSignExp5PKCS1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Sign RSA PKCS1 </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Sign RSA PKCS1 (1024 bit) by using RSA key with public exponent 5 Function returns E_TLAPI_CR_WRONG_OUPUT_SIZE.<br/>
 Destination length pointer is unchanged. Test output is OK.</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Secure_API_Crypto_Algorithms.00220_RSA.GC00100_RsaSignExp5PKCS1 </dd></dl>

</div>
</div>
<a class="anchor" id="ga2c011343ede287e5b1220affcfc9186b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00100_RsaVerifyExp17PKCS1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Verify RSA PKCS1 </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Verify RSA PKCS1 (1024 bit) by using RSA key with public exponent 17 Function returns E_TLAPI_CR_WRONG_OUPUT_SIZE.<br/>
 Destination length pointer is unchanged. Test output is OK.</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Secure_API_Crypto_Algorithms.00220_RSA.GC00100_RsaVerifyExp17PKCS1 </dd></dl>

</div>
</div>
<a class="anchor" id="ga7ea9887f0fd366f089535099d8bc1157"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00100_RsaSignExp17PKCS1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Sign RSA PKCS1 </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Sign RSA PKCS1 (1024 bit) by using RSA key with public exponent 17 Function returns E_TLAPI_CR_WRONG_OUPUT_SIZE.<br/>
 Destination length pointer is unchanged. Test output is OK.</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Secure_API_Crypto_Algorithms.00220_RSA.GC00100_RsaSignExp17PKCS1 </dd></dl>

</div>
</div>
<a class="anchor" id="gac9c10dadcbf2f698ed1bf222dfdd4f2c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00100_RsaVerifyExp257PKCS1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Verify RSA PKCS1 </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Verify RSA PKCS1 (1024 bit) by using RSA key with public exponent 257 Function returns E_TLAPI_CR_WRONG_OUPUT_SIZE.<br/>
 Destination length pointer is unchanged. Test output is OK.</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Secure_API_Crypto_Algorithms.00220_RSA.GC00100_RsaVerifyExp257PKCS1 </dd></dl>

</div>
</div>
<a class="anchor" id="ga960cbb931baa086e48a0f22dac882855"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00100_RsaSignExp257PKCS1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Sign RSA PKCS1 </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Sign RSA PKCS1 (1024 bit) by using RSA key with public exponent 257 Function returns E_TLAPI_CR_WRONG_OUPUT_SIZE.<br/>
 Destination length pointer is unchanged. Test output is OK.</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Secure_API_Crypto_Algorithms.00220_RSA.GC00100_RsaSignExp257PKCS1 </dd></dl>

</div>
</div>
<a class="anchor" id="gacc1921438754caa85c34f00eb9bfa9de"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00100_RsaVerifyExp65537PKCS1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Verify RSA PKCS1 </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Verify RSA PKCS1 (1024 bit) by using RSA key with public exponent 65537 Function returns E_TLAPI_CR_WRONG_OUPUT_SIZE.<br/>
 Destination length pointer is unchanged. Test output is OK.</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Secure_API_Crypto_Algorithms.00220_RSA.GC00100_RsaVerifyExp65537PKCS1 </dd></dl>

</div>
</div>
<a class="anchor" id="ga52a93f92b0d7f4e9f9c7da1574d2ace6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00100_RsaSignExp65537PKCS1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Sign RSA PKCS1 </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Sign RSA PKCS1 (1024 bit) by using RSA key with public exponent 65537 Function returns E_TLAPI_CR_WRONG_OUPUT_SIZE.<br/>
 Destination length pointer is unchanged. Test output is OK.</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Secure_API_Crypto_Algorithms.00220_RSA.GC00100_RsaSignExp65537PKCS1 </dd></dl>

</div>
</div>
<a class="anchor" id="gadd02d96e54a42d82fed71603e2d9ae98"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC00100_RsaEncryptPKCS1WithEvenModulus </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Encrypt RSA PKCS1 </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Encrypt RSA PKCS1 (1024 bit) with invalid modulus (with even modulus) The test is expected to fail. Function does not return TLAPI_OK.<br/>
</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Secure_API_Crypto_Algorithms.00220_RSA.BC00100_RsaEncryptPKCS1WithEvenModulus </dd></dl>

</div>
</div>
<a class="anchor" id="ga9bdad2e4052ae5c7b40b475f771f9bad"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC00101_RsaEncryptPKCS1WithSquareModulus </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Encrypt RSA PKCS1 </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Encrypt RSA PKCS1 (1024 bit) with invalid modulus (with square modulus) Function does not return TLAPI_OK.<br/>
</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Secure_API_Crypto_Algorithms.00220_RSA.BC00101_RsaEncryptPKCS1WithSquareModulus </dd></dl>

</div>
</div>
<a class="anchor" id="ga4186a2f9f9e0e4b78e339845c5ba1ebb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC00200_RsaEncryptPKCS1WithEvenExponent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Encrypt RSA PKCS1 </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Encrypt RSA PKCS1 (1024 bit) with invalid public exponent (with even exponent) Function does not return TLAPI_OK.<br/>
</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Secure_API_Crypto_Algorithms.00220_RSA.BC00200_RsaEncryptPKCS1WithEvenExponent </dd></dl>

</div>
</div>
<a class="anchor" id="ga846b09f01e6006e4342ad2fdf276f928"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC00300_RsaEncryptPKCS1WithShortKey </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Encrypt RSA PKCS1 </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Encrypt RSA PKCS1 with a very short key (96 bits) Function returns E_TLAPI_INVALID_INPUT.<br/>
 Returned data size is 12 bytes.</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Secure_API_Crypto_Algorithms.00220_RSA.BC00300_RsaEncryptPKCS1WithShortKey </dd></dl>

</div>
</div>
<a class="anchor" id="ga131a282869631922f1a9b7a5d5e2c59e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC00301_RsaEncryptPKCS1WithTooShortKey </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Encrypt RSA PKCS1 </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Encrypt RSA PKCS1 with a key that is too short to accommodate padding (80 bits) Function does not return TLAPI_OK.<br/>
</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Secure_API_Crypto_Algorithms.00220_RSA.BC00301_RsaEncryptPKCS1WithTooShortKey </dd></dl>

</div>
</div>
<a class="anchor" id="ga70815069cd0eaed1998183ad4f7a7aaa"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC00400_RsaEncryptPKCS1WithTooLongData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>defined(WIN32) || defined(INCLUDE_UNRECONCILED_TESTS) </p>
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Encrypt RSA PKCS1 </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Encrypt RSA PKCS1 (1024 bit) with data that is too long for the key Function does not return TLAPI_OK.<br/>
</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No </dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a> </dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a> </dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a> </dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No </dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No </dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Secure_API_Crypto_Algorithms.00220_RSA.BC00400_RsaEncryptPKCS1WithTooLongData </dd></dl>

</div>
</div>
<a class="anchor" id="gafc8e25cbd732503ebd1a098bd72bca10"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC00500_RsaVerifyPKCS1WithInvalidPadding </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Verify a RSA PKCS1 signature </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Verify a RSA PKCS1 (256 bit) signature that has invalid padding of type 01 Function does not return TLAPI_OK.<br/>
</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Secure_API_Crypto_Algorithms.00220_RSA.BC00500_RsaVerifyPKCS1WithInvalidPadding </dd></dl>

</div>
</div>
<a class="anchor" id="gad30731801552457db9765cb3f72313fb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC00501_RsaDecryptPKCS1WithWrongPaddingType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Decrypt RSA PKCS1 </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Decrypt RSA PKCS1 (128 bit) data that has been padded with a wrong padding type Function does not return TLAPI_OK.<br/>
</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Secure_API_Crypto_Algorithms.00220_RSA.BC00501_RsaDecryptPKCS1WithWrongPaddingType </dd></dl>

</div>
</div>
<a class="anchor" id="ga5e9a1f27763355d8b11042b90f45259a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC00502_RsaDecryptPKCS1WithInvalidPadding </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Decrypt RSA PKCS1 </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Decrypt RSA PKCS1 (128 bit) data that has invalid padding of type 02 Function does not return TLAPI_OK.<br/>
</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Secure_API_Crypto_Algorithms.00220_RSA.BC00502_RsaDecryptPKCS1WithInvalidPadding </dd></dl>

</div>
</div>
<a class="anchor" id="ga35d8d3834bded53444ad6bdb3967a9f2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00100_Rsa_Multiple_GenerateKey_Sign_Verify_1024bit_Exp3 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>RSA key </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Generate 1024 bit RSA key, sign/verify 500 times Key generation, sign (by using private exponent) and verify succeeds. Test output is OK.</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Secure_API_Crypto_Algorithms.00220_RSA.GC00100_Rsa_Multiple_GenerateKey_Sign_Verify_1024bit_Exp3 </dd></dl>

</div>
</div>
<a class="anchor" id="ga81beb6c46b2255bb2b48b250de654ab5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00100_Rsa_Crt_Multiple_GenerateKey_Sign_Verify_1024bit_Exp3 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>RSA key </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Generate 1024 bit RSA key, sign/verify 500 times Key generation, sign (by using CRT parameters) and verify succeeds. Test output is OK.</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Minimum Product Version required for this testcase:</dt><dd>310A</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Secure_API_Crypto_Algorithms.00220_RSA.GC00100_Rsa_Crt_Multiple_GenerateKey_Sign_Verify_1024bit_Exp3 </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
        <br><br>
        <hr>
        <small><em>Copyright (c) 2013-2015 TRUSTONIC LIMITED - TRUSTONIC CONFIDENTIAL</em></small>
    </body>
</html>
